com.orsoncharts.data

## Class KeyedValues3DItemKeys

- java.lang.Object
- - com.orsoncharts.data.KeyedValues3DItemKeys

-     public class KeyedValues3DItemKeys
      extends java.lang.Object

  Utility methods related to the `KeyedValues3DItemKey` class.
  Since:
    1.3

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Collection<KeyedValues3DItemKey>` | `itemKeysForColumn(KeyedValues3D data, java.lang.Comparable<?> columnKey)` Returns a collection containing all the item keys for the specified column.
    `static java.util.Collection<KeyedValues3DItemKey>` | `itemKeysForRow(KeyedValues3D data, java.lang.Comparable<?> rowKey)` Returns a collection containing all the item keys for the specified row.
    `static java.util.Collection<KeyedValues3DItemKey>` | `itemKeysForSeries(KeyedValues3D data, java.lang.Comparable<?> seriesKey)` Returns a collection containing all the item keys for the specified series.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### itemKeysForSeries

          public static java.util.Collection<KeyedValues3DItemKey> itemKeysForSeries(KeyedValues3D data,
                                                                                     java.lang.Comparable<?> seriesKey)

      Returns a collection containing all the item keys for the specified series.
      Parameters:
        `data` - the data (`null` not permitted).
        `seriesKey` - the series key (`null` not permitted).
      Returns:
        A collection of item keys (never `null`).

    - #### itemKeysForRow

          public static java.util.Collection<KeyedValues3DItemKey> itemKeysForRow(KeyedValues3D data,
                                                                                  java.lang.Comparable<?> rowKey)

      Returns a collection containing all the item keys for the specified row.
      Parameters:
        `data` - the data (`null` not permitted).
        `rowKey` - the row key (`null` not permitted).
      Returns:
        A collection of item keys (never `null`).

    - #### itemKeysForColumn

          public static java.util.Collection<KeyedValues3DItemKey> itemKeysForColumn(KeyedValues3D data,
                                                                                     java.lang.Comparable<?> columnKey)

      Returns a collection containing all the item keys for the specified column.
      Parameters:
        `data` - the data (`null` not permitted).
        `columnKey` - the column key (`null` not permitted).
      Returns:
        A collection of item keys (never `null`).